Skip to content

Declare a gate over an action class, scoped to workspace/space/database. Only classes the server enforces are accepted (422 lists them); today: delete_records

POST
/api/v1/workspaces/{ws}/action-gates
Media typeapplication/json
object
action_class
required
string
>= 1 characters <= 100 characters
space_id
string format: uuid
nullable /^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
database_id
string format: uuid
nullable /^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
approver_id
required
string
>= 1 characters
Examplegenerated
{
"action_class": "example",
"space_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"database_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"approver_id": "example"
}